# eslint-plugin-soam

Custom eslint rules by SOAM

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-soam`:

```
$ npm install eslint-plugin-soam --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-soam` globally.

## Usage

Add `soam` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "soam"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "soam/rule-name": 2
    }
}
```

## Supported Rules

* Fill in provided rules here





